<?php if (!defined('THINK_PATH')) exit(); /*a:2:{s:65:"/www/wwwroot/dns.aikwang.cn/application/index/view/admin/api.html";i:1555674202;s:68:"/www/wwwroot/dns.aikwang.cn/application/index/view/admin/layout.html";i:1555674202;}*/ ?>
<?php if($isPjax): ?>

<div class="row">
    <div class="col-xl-12 mt-2">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/">首页</a></li>
            <li class="breadcrumb-item"><a href="<?php echo url('index'); ?>" data-pjax="true">管理后台</a></li>
            <li class="breadcrumb-item active">接口配置</li>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-sm-12 col-md-6 mt-2">
        <div class="card">
            <div class="card-header">
                DnsPod Token配置-[<a href="https://www.dnspod.cn/User/Security" target="_Blank">获取</a>]-[<a
                    href="https://support.dnspod.cn/Kb/showarticle/tsid/227/" target="_Blank">帮助</a>]
            </div>
            <div class="card-block">
                <form method="post" action="<?php echo url('AdminAjax/api'); ?>" class="ajaxForm">
                    <input type="hidden" name="dns" value="dnspod">
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="DnsPod的TokenID" value="<?php echo getStringIndex($dnspod['api_key'],0); ?>" datatype="n4-6" required>
                    </div>
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="DnsPod的Token" value="<?php echo getStringIndex($dnspod['api_key'],1); ?>" datatype="s32-32" required>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-block btn-primary">保存配置</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="col-sm-12 col-md-6 mt-2">
        <div class="card">
            <div class="card-header">
                AliYun AccessKey配置-[<a href="https://ak-console.aliyun.com/index#/accesskey" target="_Blank">获取</a>]
            </div>
            <div class="card-block">
                <form method="post" action="<?php echo url('AdminAjax/api'); ?>" class="ajaxForm">
                    <input type="hidden" name="dns" value="aliyun">
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="AccessKeyId" value="<?php echo getStringIndex($aliyun['api_key'],0); ?>" datatype="s16-16" required>
                    </div>
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="AccessKeySecret" value="<?php echo getStringIndex($aliyun['api_key'],1); ?>" datatype="s30-30" required>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-block btn-primary">保存配置</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="col-sm-12 col-md-6 mt-2">
        <div class="card">
            <div class="card-header">
                CloudXNS API KEY配置-[<a href="https://www.cloudxns.net/AccountManage/apimanage.html" target="_Blank">获取</a>]
            </div>
            <div class="card-block">
                <form method="post" action="<?php echo url('AdminAjax/api'); ?>" class="ajaxForm">
                    <input type="hidden" name="dns" value="cloudxns">
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="CloudXNS的API KEY" value="<?php echo getStringIndex($cloudxns['api_key'],0); ?>" datatype="s32-32" required>
                    </div>
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="CloudXNS的SECRET KEY" value="<?php echo getStringIndex($cloudxns['api_key'],1); ?>" datatype="s16-16" required>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-block btn-primary">保存配置</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="col-sm-12 col-md-6 mt-2">
        <div class="card">
            <div class="card-header">
                DNS.COM API KEY配置-[<a href="https://www.dns.com/member/apiSet" target="_Blank">获取</a>]
            </div>
            <div class="card-block">
                <form method="post" action="<?php echo url('AdminAjax/api'); ?>" class="ajaxForm">
                    <input type="hidden" name="dns" value="dnscom">
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="DNS.COM的API KEY" value="<?php echo getStringIndex($dnscom['api_key'],0); ?>" datatype="s32-32" required>
                    </div>
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="DNS.COM的API Secret" value="<?php echo getStringIndex($dnscom['api_key'],1); ?>" datatype="s32-32" required>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-block btn-primary">保存配置</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="col-sm-12 col-md-6 mt-2">
        <div class="card">
            <div class="card-header">
                DNS.LA API KEY配置-[<a href="https://www.dns.la/manage/APISet.aspx" target="_Blank">获取</a>]
            </div>
            <div class="card-block">
                <form method="post" action="<?php echo url('AdminAjax/api'); ?>" class="ajaxForm">
                    <input type="hidden" name="dns" value="dnsla">
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="DNS.LA的APPIID" value="<?php echo getStringIndex($dnsla['api_key'],0); ?>" datatype="s3-32" required>
                    </div>
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="DNS.LA的API密钥" value="<?php echo getStringIndex($dnsla['api_key'],1); ?>" datatype="s3-32" required>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-block btn-primary">保存配置</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<script src="/assets/js/app.js?<?php echo time(); ?>"></script>

<?php else: ?>
<!DOCTYPE html>
<html lang="zh-cn">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $webTitle; ?>-管理后台</title>
    <meta name="keywords" content="艾咔DNS（二级域名分发系统）"/>
    <meta name="description" content="艾咔DNS（二级域名分发系统）"/>
    <link href="/assets/plugin/bootstrap-4.0.0-alpha.6/css/bootstrap.min.css" rel="stylesheet">
    <link href="/assets/plugin/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <link href="/assets/plugin/animate-3.5.2/animate.min.css" rel="stylesheet">
    <link href="/assets/css/app.css?v=1.0" rel="stylesheet">
    <script src="/assets/plugin/jquery-3.2.1/jquery.min.js"></script>
    <script src="https://cdn.bootcss.com/tether/1.4.0/js/tether.min.js"></script>
    <script src="/assets/plugin/jquery-form-4.2.1/jquery.form.min.js"></script>
    <script src="/assets/plugin/jquery-pjax-2.0.1/jquery.pjax.min.js"></script>
    <script src="/assets/plugin/validform-5.3.2/Validform_v5.3.2.js"></script>
    <script src="/assets/plugin/bootstrap-4.0.0-alpha.6/js/bootstrap.min.js"></script>
    <script src="https://cdn.bootcss.com/twbs-pagination/1.4.1/jquery.twbsPagination.min.js"></script>
    <script src="/assets/plugin/layer-3.0.3/layer.js"></script>
</head>
<body>
<div class="container" id="app">
    <div id="pjax-container">
        
<div class="row">
    <div class="col-xl-12 mt-2">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/">首页</a></li>
            <li class="breadcrumb-item"><a href="<?php echo url('index'); ?>" data-pjax="true">管理后台</a></li>
            <li class="breadcrumb-item active">接口配置</li>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-sm-12 col-md-6 mt-2">
        <div class="card">
            <div class="card-header">
                DnsPod Token配置-[<a href="https://www.dnspod.cn/User/Security" target="_Blank">获取</a>]-[<a
                    href="https://support.dnspod.cn/Kb/showarticle/tsid/227/" target="_Blank">帮助</a>]
            </div>
            <div class="card-block">
                <form method="post" action="<?php echo url('AdminAjax/api'); ?>" class="ajaxForm">
                    <input type="hidden" name="dns" value="dnspod">
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="DnsPod的TokenID" value="<?php echo getStringIndex($dnspod['api_key'],0); ?>" datatype="n4-6" required>
                    </div>
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="DnsPod的Token" value="<?php echo getStringIndex($dnspod['api_key'],1); ?>" datatype="s32-32" required>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-block btn-primary">保存配置</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="col-sm-12 col-md-6 mt-2">
        <div class="card">
            <div class="card-header">
                AliYun AccessKey配置-[<a href="https://ak-console.aliyun.com/index#/accesskey" target="_Blank">获取</a>]
            </div>
            <div class="card-block">
                <form method="post" action="<?php echo url('AdminAjax/api'); ?>" class="ajaxForm">
                    <input type="hidden" name="dns" value="aliyun">
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="AccessKeyId" value="<?php echo getStringIndex($aliyun['api_key'],0); ?>" datatype="s16-16" required>
                    </div>
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="AccessKeySecret" value="<?php echo getStringIndex($aliyun['api_key'],1); ?>" datatype="s30-30" required>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-block btn-primary">保存配置</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="col-sm-12 col-md-6 mt-2">
        <div class="card">
            <div class="card-header">
                CloudXNS API KEY配置-[<a href="https://www.cloudxns.net/AccountManage/apimanage.html" target="_Blank">获取</a>]
            </div>
            <div class="card-block">
                <form method="post" action="<?php echo url('AdminAjax/api'); ?>" class="ajaxForm">
                    <input type="hidden" name="dns" value="cloudxns">
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="CloudXNS的API KEY" value="<?php echo getStringIndex($cloudxns['api_key'],0); ?>" datatype="s32-32" required>
                    </div>
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="CloudXNS的SECRET KEY" value="<?php echo getStringIndex($cloudxns['api_key'],1); ?>" datatype="s16-16" required>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-block btn-primary">保存配置</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="col-sm-12 col-md-6 mt-2">
        <div class="card">
            <div class="card-header">
                DNS.COM API KEY配置-[<a href="https://www.dns.com/member/apiSet" target="_Blank">获取</a>]
            </div>
            <div class="card-block">
                <form method="post" action="<?php echo url('AdminAjax/api'); ?>" class="ajaxForm">
                    <input type="hidden" name="dns" value="dnscom">
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="DNS.COM的API KEY" value="<?php echo getStringIndex($dnscom['api_key'],0); ?>" datatype="s32-32" required>
                    </div>
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="DNS.COM的API Secret" value="<?php echo getStringIndex($dnscom['api_key'],1); ?>" datatype="s32-32" required>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-block btn-primary">保存配置</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="col-sm-12 col-md-6 mt-2">
        <div class="card">
            <div class="card-header">
                DNS.LA API KEY配置-[<a href="https://www.dns.la/manage/APISet.aspx" target="_Blank">获取</a>]
            </div>
            <div class="card-block">
                <form method="post" action="<?php echo url('AdminAjax/api'); ?>" class="ajaxForm">
                    <input type="hidden" name="dns" value="dnsla">
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="DNS.LA的APPIID" value="<?php echo getStringIndex($dnsla['api_key'],0); ?>" datatype="s3-32" required>
                    </div>
                    <div class="form-group">
                        <input type="text" name="key[]" class="form-control" placeholder="DNS.LA的API密钥" value="<?php echo getStringIndex($dnsla['api_key'],1); ?>" datatype="s3-32" required>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-block btn-primary">保存配置</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

    </div>
    <footer class="footer bg-faded mt-3 p-2">
        <p class="text-center">Powered by <a href="http://dns.aikwang.cn" target="_blank">艾咔DNS解析</a> V<?php echo config('web_version'); ?></p>
    </footer>
</div>
<script src="/assets/plugin/vue.js-2.3.3/vue.min.js"></script>
<script src="/assets/plugin/vue-resource-1.3.3/vue-resource.min.js"></script>
<script src="/assets/js/app.js?v=1.1"></script>

</body>
</html>
<?php endif; ?>