<?php if (!defined('THINK_PATH')) exit(); /*a:2:{s:67:"/www/wwwroot/dns.aikwang.cn/application/index/view/admin/index.html";i:1555674202;s:68:"/www/wwwroot/dns.aikwang.cn/application/index/view/admin/layout.html";i:1567388427;}*/ ?>
<?php if($isPjax): ?>

<div class="row">
    <div class="col-xl-12 mt-2">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/">首页</a></li>
            <li class="breadcrumb-item active">管理后台</li>
        </ol>
    </div>
</div>
<div class="row" data-pjax>
    <div class="col-xl-6">
        <div class="card">
            <div class="card-header">
                网站配置
            </div>
            <div class="card-block">
                <a href="<?php echo url('config'); ?>" class="list-group-item"><i class="fa fa-edit mr-2"></i>网站设置</a>
                <a href="<?php echo url('api'); ?>" class="list-group-item"><i class="fa fa-key mr-2"></i>接口配置</a>
                <a data-toggle="modal" href="#modal-admin" data-backdrop="false" class="list-group-item"><i
                        class="fa fa-user-circle-o mr-2"></i>修改密码</a>
            </div>
        </div>
    </div>
    <div class="col-xl-6">
        <div class="card">
            <div class="card-header">
                数据管理
            </div>
            <div class="card-block">
                <a href="<?php echo url('user_list'); ?>" class="list-group-item"><i class="fa fa-user mr-2"></i>用户列表</a>
                <a href="<?php echo url('domain_list'); ?>" class="list-group-item"><i class="fa fa-globe mr-2"></i>域名列表</a>
                <a href="<?php echo url('record_list'); ?>" class="list-group-item"><i class="fa fa-list mr-2"></i>记录列表</a>
            </div>
        </div>
    </div>
</div>

<div class="modal bg-info" id="modal-admin">
    <div class="modal-dialog" role="document">
        <form action="<?php echo url('AdminAjax/admin'); ?>" method="post" class="ajaxForm">
            <div class="modal-content animated flipInX">
                <div class="modal-header">
                    <h5 class="modal-title">修改管理员账号</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <input type="text" placeholder="管理员账号" class="form-control" name="user" datatype="s3-15" value="<?php echo config('web_admin'); ?>"
                               required>
                    </div>
                    <div class="form-group">
                        <input type="password" placeholder="管理员密码" class="form-control" name="pwd" datatype="s5-15"
                               required>
                    </div>
                    <div class="form-group">
                        <input type="password" placeholder="在输入一次管理员密码" class="form-control" recheck="pwd"
                               datatype="s5-15"
                               required>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-white" data-dismiss="modal">关闭</button>
                    <button type="submit" class="btn btn-primary">保存设置</button>
                </div>
            </div>
        </form>
    </div>
</div>

<script src="/assets/js/app.js?<?php echo time(); ?>"></script>

<?php else: ?>
<!DOCTYPE html>
<html lang="zh-cn">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $webTitle; ?>-管理后台</title>
    <meta name="keywords" content="艾咔DNS解析（二级域名分发系统）"/>
    <meta name="description" content="艾咔DNS解析（二级域名分发系统）"/>
    <link href="/assets/plugin/bootstrap-4.0.0-alpha.6/css/bootstrap.min.css" rel="stylesheet">
    <link href="/assets/plugin/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <link href="/assets/plugin/animate-3.5.2/animate.min.css" rel="stylesheet">
    <link href="/assets/css/app.css?v=1.0" rel="stylesheet">
    <script src="/assets/plugin/jquery-3.2.1/jquery.min.js"></script>
    <script src="https://cdn.bootcss.com/tether/1.4.0/js/tether.min.js"></script>
    <script src="/assets/plugin/jquery-form-4.2.1/jquery.form.min.js"></script>
    <script src="/assets/plugin/jquery-pjax-2.0.1/jquery.pjax.min.js"></script>
    <script src="/assets/plugin/validform-5.3.2/Validform_v5.3.2.js"></script>
    <script src="/assets/plugin/bootstrap-4.0.0-alpha.6/js/bootstrap.min.js"></script>
    <script src="https://cdn.bootcss.com/twbs-pagination/1.4.1/jquery.twbsPagination.min.js"></script>
    <script src="/assets/plugin/layer-3.0.3/layer.js"></script>
</head>
<body>
<div class="container" id="app">
    <div id="pjax-container">
        
<div class="row">
    <div class="col-xl-12 mt-2">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/">首页</a></li>
            <li class="breadcrumb-item active">管理后台</li>
        </ol>
    </div>
</div>
<div class="row" data-pjax>
    <div class="col-xl-6">
        <div class="card">
            <div class="card-header">
                网站配置
            </div>
            <div class="card-block">
                <a href="<?php echo url('config'); ?>" class="list-group-item"><i class="fa fa-edit mr-2"></i>网站设置</a>
                <a href="<?php echo url('api'); ?>" class="list-group-item"><i class="fa fa-key mr-2"></i>接口配置</a>
                <a data-toggle="modal" href="#modal-admin" data-backdrop="false" class="list-group-item"><i
                        class="fa fa-user-circle-o mr-2"></i>修改密码</a>
            </div>
        </div>
    </div>
    <div class="col-xl-6">
        <div class="card">
            <div class="card-header">
                数据管理
            </div>
            <div class="card-block">
                <a href="<?php echo url('user_list'); ?>" class="list-group-item"><i class="fa fa-user mr-2"></i>用户列表</a>
                <a href="<?php echo url('domain_list'); ?>" class="list-group-item"><i class="fa fa-globe mr-2"></i>域名列表</a>
                <a href="<?php echo url('record_list'); ?>" class="list-group-item"><i class="fa fa-list mr-2"></i>记录列表</a>
            </div>
        </div>
    </div>
</div>

<div class="modal bg-info" id="modal-admin">
    <div class="modal-dialog" role="document">
        <form action="<?php echo url('AdminAjax/admin'); ?>" method="post" class="ajaxForm">
            <div class="modal-content animated flipInX">
                <div class="modal-header">
                    <h5 class="modal-title">修改管理员账号</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <input type="text" placeholder="管理员账号" class="form-control" name="user" datatype="s3-15" value="<?php echo config('web_admin'); ?>"
                               required>
                    </div>
                    <div class="form-group">
                        <input type="password" placeholder="管理员密码" class="form-control" name="pwd" datatype="s5-15"
                               required>
                    </div>
                    <div class="form-group">
                        <input type="password" placeholder="在输入一次管理员密码" class="form-control" recheck="pwd"
                               datatype="s5-15"
                               required>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-white" data-dismiss="modal">关闭</button>
                    <button type="submit" class="btn btn-primary">保存设置</button>
                </div>
            </div>
        </form>
    </div>
</div>

    </div>
    <footer class="footer bg-faded mt-3 p-2">
        <p class="text-center">Powered by <a href="http://dns.aikwang.cn" target="_blank">艾咔DNS解析</a> V<?php echo config('web_version'); ?></p>
    </footer>
</div>
<script src="/assets/plugin/vue.js-2.3.3/vue.min.js"></script>
<script src="/assets/plugin/vue-resource-1.3.3/vue-resource.min.js"></script>
<script src="/assets/js/app.js?v=1.1"></script>

</body>
</html>
<?php endif; ?>