-- MySQL dump 10.13  Distrib 5.5.62, for Linux (x86_64)
--
-- Host: localhost    Database: dns
-- ------------------------------------------------------
-- Server version	5.5.62-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `kldns_configs`
--

DROP TABLE IF EXISTS `kldns_configs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `kldns_configs` (
  `vkey` varchar(255) NOT NULL,
  `value` varchar(1000) NOT NULL,
  `remark` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`vkey`),
  UNIQUE KEY `vkey` (`vkey`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `kldns_configs`
--

LOCK TABLES `kldns_configs` WRITE;
/*!40000 ALTER TABLE `kldns_configs` DISABLE KEYS */;
INSERT INTO `kldns_configs` VALUES ('index_title','艾咔DNS解析 - 二级域名解析|免备案域名|二级域名分发系统','首页标题'),('keywords','艾咔网,662商城,小刀娱乐网,小K娱乐网,二级域名,二级域名分发,免费域名,域名分发系统,免费域名,永久免费域名,二级域名解析,免费二级域名,DNS解析网,DNSPOD,免费主机,免费空间','SEO关键词'),('description','艾咔网(www.aikwang.cn)成立于2016-2-12,是一家专门提供二级域名解析的平台,提供的域名当中有已备案域名和未备案域名,域名后缀多可自主选择解析,艾咔网旗下网站:艾咔网,662商城,艾咔DNS解析,等等后期会一一上市（本站由腾讯云提供驱动,由艾咔提供技术支持）','SEO描述'),('record_coin','2','每条记录需要金币'),('reg_coin','0','注册赠送金币'),('admin','1030377263','管理员账号'),('password','48629914197caa39aaedcbe33134677c','管理员密码'),('name','艾咔DNS解析','网站名称'),('hold_rr','www,wap,3g,m,4g,admin,pay,aik,aika,ak,huangse,hs,guanli,daigua,tengxun,qq,yy,wx,qb,wxzf,zf,zfb,weixin,zhifu,zhifubao,mazhifu,yizhifu,','域名保留前缀'),('version','2.4','版本号'),('foot','<p style=\"text-align:center;\">\r\n	<span style=\"font-size:18px;\">友情链接：<a href=\"http://dns.aikwang.cn\" target=\"_blank\">艾咔DNS解析</a>     <a href=\"https://www.662i.cn\" target=\"_blank\">662商城</a>     <a href=\"http://dailian.aikwang.cn\" target=\"_blank\">662商城正版授权站 </a>  </span>  \r\n</p>\r\n<p style=\"text-align:center;\">\r\n	免责声明：严禁所有用户利用本站免费资源进行违法行为，任何违规操作本站不负任何责任。\r\n</p>\r\n<p style=\"text-align:center;\">\r\n	特别提醒：请大家合理运用资源，不定期清理空壳解析哦\r\n</p>\r\n<p class=\"text-center\" style=\"text-align:center;\">\r\n	Powered by <a href=\"#\" target=\"_blank\">艾咔网</a> V2.4\r\n</p>','前台底部代码'),('index_head','<h1 class=\"display-5\" style=\"text-align:center;\">\r\n	<span style=\"color:#E53333;\">艾咔DNS解析</span> \r\n</h1>\r\n<p class=\"lead\" style=\"text-align:center;\">\r\n	简单、好用、的二级域名分发系统\r\n</p>\r\n<p class=\"lead\" style=\"text-align:center;\">\r\n	加金币请联系客服微信：1030377263\r\n</p>\r\n<p class=\"lead\" style=\"text-align:center;\">\r\n	已备案域名列表：<a href=\"https://shimo.im/docs/tD9Rry86cJw9cxJJ/\" target=\"_blank\">点击查看</a>\r\n</p>\r\n<p class=\"lead\" style=\"text-align:center;\">\r\n</p>','首页顶部代码'),('reg_validate','0',NULL);
/*!40000 ALTER TABLE `kldns_configs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kldns_dns_apis`
--

DROP TABLE IF EXISTS `kldns_dns_apis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `kldns_dns_apis` (
  `dns` varchar(30) NOT NULL,
  `api_key` varchar(255) NOT NULL,
  `lines` varchar(2000) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `kldns_dns_apis`
--

LOCK TABLES `kldns_dns_apis` WRITE;
/*!40000 ALTER TABLE `kldns_dns_apis` DISABLE KEYS */;
INSERT INTO `kldns_dns_apis` VALUES ('dnspod','112008,7a9756a4f4ec609b4875ee8b5a103362','[{\"Name\":\"\\u9ed8\\u8ba4\",\"Id\":\"0\"},{\"Name\":\"\\u56fd\\u5185\",\"Id\":\"7=0\"},{\"Name\":\"\\u56fd\\u5916\",\"Id\":\"3=0\"},{\"Name\":\"\\u7535\\u4fe1\",\"Id\":\"10=0\"},{\"Name\":\"\\u8054\\u901a\",\"Id\":\"10=1\"},{\"Name\":\"\\u6559\\u80b2\\u7f51\",\"Id\":\"10=2\"},{\"Name\":\"\\u79fb\\u52a8\",\"Id\":\"10=3\"},{\"Name\":\"\\u767e\\u5ea6\",\"Id\":\"90=0\"},{\"Name\":\"\\u8c37\\u6b4c\",\"Id\":\"90=1\"},{\"Name\":\"\\u641c\\u641c\",\"Id\":\"90=4\"},{\"Name\":\"\\u6709\\u9053\",\"Id\":\"90=2\"},{\"Name\":\"\\u5fc5\\u5e94\",\"Id\":\"90=3\"},{\"Name\":\"\\u641c\\u72d7\",\"Id\":\"90=5\"},{\"Name\":\"\\u5947\\u864e\",\"Id\":\"90=6\"},{\"Name\":\"\\u641c\\u7d22\\u5f15\\u64ce\",\"Id\":\"80=0\"}]');
/*!40000 ALTER TABLE `kldns_dns_apis` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kldns_domains`
--

DROP TABLE IF EXISTS `kldns_domains`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `kldns_domains` (
  `domain_id` varchar(50) NOT NULL,
  `domain` varchar(50) NOT NULL,
  `dns` varchar(50) NOT NULL,
  `power` int(11) NOT NULL DEFAULT '0',
  `add_time` datetime DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `kldns_domains`
--

LOCK TABLES `kldns_domains` WRITE;
/*!40000 ALTER TABLE `kldns_domains` DISABLE KEYS */;
INSERT INTO `kldns_domains` VALUES ('72964757','18ka.top','dnspod',63,'2019-08-15 14:12:53'),('72874242','ikw.xyz','dnspod',63,'2019-08-15 14:13:00'),('73792451','662i.top','dnspod',63,'2019-09-02 09:05:24'),('73712428','mupaishop.vip','dnspod',63,'2019-09-02 09:05:30');
/*!40000 ALTER TABLE `kldns_domains` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kldns_records`
--

DROP TABLE IF EXISTS `kldns_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `kldns_records` (
  `uid` int(11) NOT NULL,
  `record_id` varchar(50) NOT NULL,
  `domain_id` varchar(50) NOT NULL,
  `rr` varchar(15) NOT NULL,
  `type` varchar(10) NOT NULL,
  `value` varchar(50) NOT NULL,
  `line` tinyint(5) DEFAULT '0',
  `line_name` varchar(50) NOT NULL,
  `add_time` datetime DEFAULT NULL,
  PRIMARY KEY (`record_id`),
  UNIQUE KEY `record_info` (`record_id`,`domain_id`),
  KEY `uid_record_id` (`uid`,`record_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `kldns_records`
--

LOCK TABLES `kldns_records` WRITE;
/*!40000 ALTER TABLE `kldns_records` DISABLE KEYS */;
/*!40000 ALTER TABLE `kldns_records` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kldns_users`
--

DROP TABLE IF EXISTS `kldns_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `kldns_users` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(16) NOT NULL,
  `pwd` varchar(32) NOT NULL,
  `sid` varchar(32) NOT NULL,
  `email` varchar(255) DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '1',
  `group` int(11) NOT NULL DEFAULT '1',
  `coin` int(11) NOT NULL DEFAULT '0',
  `add_time` datetime DEFAULT NULL,
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM AUTO_INCREMENT=1002 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `kldns_users`
--

LOCK TABLES `kldns_users` WRITE;
/*!40000 ALTER TABLE `kldns_users` DISABLE KEYS */;
INSERT INTO `kldns_users` VALUES (1001,'1030377263','48629914197caa39aaedcbe33134677c','1ab20a336bc07ef1668821390b85b249','1030377263@qq.com',1,32,990,'2019-08-15 14:14:36');
/*!40000 ALTER TABLE `kldns_users` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2019-09-02  9:52:32
